Events
Ingest Events
Ingest batch of events.
Scopes: events:write
POST
/
v1
/
events
/
ingest
python (new sdk)
from polar.v2026_04 import Polar
polar = Polar("polar_oat_xxx")
response = polar.events.ingest(
events=[{'name': 'string',
'customer_id': '00000000-0000-4000-8000-000000000000'}],
)
print(response)import { createPolar } from "@polar-sh/sdk/2026-04";
const polar = createPolar({
accessToken: "polar_oat_xxx",
});
const response = await polar.events.ingest(
{
"events": [
{
"name": "string",
"customer_id": "00000000-0000-4000-8000-000000000000"
}
]
},
);
console.log(response);curl --request POST \
--url https://api.polar.sh/v1/events/ingest \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"events": [
{
"name": "<string>",
"customer_id": "<string>",
"timestamp": "2023-11-07T05:31:56Z",
"organization_id": "1dbfc517-0bbf-4301-9ba8-555ca42b9737",
"external_id": "<string>",
"parent_id": "<string>",
"metadata": {},
"member_id": "<string>"
}
]
}
'import requests
url = "https://api.polar.sh/v1/events/ingest"
payload = { "events": [
{
"name": "<string>",
"customer_id": "<string>",
"timestamp": "2023-11-07T05:31:56Z",
"organization_id": "1dbfc517-0bbf-4301-9ba8-555ca42b9737",
"external_id": "<string>",
"parent_id": "<string>",
"metadata": {},
"member_id": "<string>"
}
] }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
events: [
{
name: '<string>',
customer_id: '<string>',
timestamp: '2023-11-07T05:31:56Z',
organization_id: '1dbfc517-0bbf-4301-9ba8-555ca42b9737',
external_id: '<string>',
parent_id: '<string>',
metadata: {},
member_id: '<string>'
}
]
})
};
fetch('https://api.polar.sh/v1/events/ingest', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"inserted": 123,
"duplicates": 0
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Authorizations
patoat
Body
application/json
List of events to ingest.
- EventCreateCustomer
- EventCreateExternalCustomer
Show child attributes
Show child attributes
Was this page helpful?
⌘I
python (new sdk)
from polar.v2026_04 import Polar
polar = Polar("polar_oat_xxx")
response = polar.events.ingest(
events=[{'name': 'string',
'customer_id': '00000000-0000-4000-8000-000000000000'}],
)
print(response)import { createPolar } from "@polar-sh/sdk/2026-04";
const polar = createPolar({
accessToken: "polar_oat_xxx",
});
const response = await polar.events.ingest(
{
"events": [
{
"name": "string",
"customer_id": "00000000-0000-4000-8000-000000000000"
}
]
},
);
console.log(response);
